Package org.zkoss.zkmax.xel.el21

## Class XelELResolver

- java.lang.Object
- - javax.el.ELResolver
  - - org.zkoss.zkmax.xel.el21.XelELResolver

-     public final class XelELResolver
      extends javax.el.ELResolver

  A simple implementation of `ELResolver`.

  Available in ZK EE

  Since:
    3.0.0

- - ### Field Summary

    - ### Fields inherited from class javax.el.ELResolver

      `RESOLVABLE_AT_DESIGN_TIME, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XelELResolver​(XelContext ctx)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class` | `getCommonPropertyType​(javax.el.ELContext ctx, java.lang.Object base)` |
    `java.util.Iterator<java.beans.FeatureDescriptor>` | `getFeatureDescriptors​(javax.el.ELContext ctx, java.lang.Object base)` |
    `java.lang.Class` | `getType​(javax.el.ELContext ctx, java.lang.Object base, java.lang.Object property)` |
    `java.lang.Object` | `getValue​(javax.el.ELContext ctx, java.lang.Object base, java.lang.Object property)` |
    `boolean` | `isReadOnly​(javax.el.ELContext ctx, java.lang.Object base, java.lang.Object property)` |
    `void` | `setValue​(javax.el.ELContext ctx, java.lang.Object base, java.lang.Object property, java.lang.Object value)` |

    - ### Methods inherited from class javax.el.ELResolver

      `convertToType, invoke`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XelELResolver

          public XelELResolver​(XelContext ctx)

      Constructor.

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue​(javax.el.ELContext ctx,
                                           java.lang.Object base,
                                           java.lang.Object property)
                                    throws javax.el.PropertyNotFoundException,
                                           javax.el.ELException

      Specified by:
        `getValue` in class `javax.el.ELResolver`
      Throws:
        `javax.el.PropertyNotFoundException`
        `javax.el.ELException`

    - #### getType

          public java.lang.Class getType​(javax.el.ELContext ctx,
                                         java.lang.Object base,
                                         java.lang.Object property)
                                  throws javax.el.PropertyNotFoundException,
                                         javax.el.ELException

      Specified by:
        `getType` in class `javax.el.ELResolver`
      Throws:
        `javax.el.PropertyNotFoundException`
        `javax.el.ELException`

    - #### setValue

          public void setValue​(javax.el.ELContext ctx,
                               java.lang.Object base,
                               java.lang.Object property,
                               java.lang.Object value)
                        throws javax.el.PropertyNotFoundException,
                               javax.el.PropertyNotWritableException,
                               javax.el.ELException

      Specified by:
        `setValue` in class `javax.el.ELResolver`
      Throws:
        `javax.el.PropertyNotFoundException`
        `javax.el.PropertyNotWritableException`
        `javax.el.ELException`

    - #### isReadOnly

          public boolean isReadOnly​(javax.el.ELContext ctx,
                                    java.lang.Object base,
                                    java.lang.Object property)
                             throws javax.el.PropertyNotFoundException,
                                    javax.el.ELException

      Specified by:
        `isReadOnly` in class `javax.el.ELResolver`
      Throws:
        `javax.el.PropertyNotFoundException`
        `javax.el.ELException`

    - #### getFeatureDescriptors

          public java.util.Iterator<java.beans.FeatureDescriptor> getFeatureDescriptors​(javax.el.ELContext ctx,
                                                                                        java.lang.Object base)

      Specified by:
        `getFeatureDescriptors` in class `javax.el.ELResolver`

    - #### getCommonPropertyType

          public java.lang.Class getCommonPropertyType​(javax.el.ELContext ctx,
                                                       java.lang.Object base)

      Specified by:
        `getCommonPropertyType` in class `javax.el.ELResolver`